UbixOS V2 2.0

Data Fields
pipeInfo Struct Reference

`#include <pipe.h>`

Collaboration diagram for pipeInfo:

## Data Fields
int | bCNT
struct pipeBuf * | headPB
int | rFD
int | rfdCNT
struct pipeBuf * | tailPB
int | wFD
int | wfdCNT

## Detailed Description

Definition at line 45 of file pipe.h.

## Field Documentation

## ◆ bCNT

int pipeInfo::bCNT

Definition at line 50 of file pipe.h.

Referenced by sys_read(), and sys_write().

## ◆ headPB

struct pipeBuf* pipeInfo::headPB

Definition at line 51 of file pipe.h.

Referenced by sys_read(), and sys_write().

## ◆ rFD

int pipeInfo::rFD

Definition at line 46 of file pipe.h.

Referenced by sys_close(), and sys_pipe2().

## ◆ rfdCNT

int pipeInfo::rfdCNT

Definition at line 47 of file pipe.h.

Referenced by sys_close(), and sys_pipe2().

## ◆ tailPB

struct pipeBuf* pipeInfo::tailPB

Definition at line 52 of file pipe.h.

Referenced by sys_write().

## ◆ wFD

int pipeInfo::wFD

Definition at line 48 of file pipe.h.

Referenced by sys_close(), and sys_pipe2().

## ◆ wfdCNT

int pipeInfo::wfdCNT

Definition at line 49 of file pipe.h.

Referenced by sys_close(), and sys_pipe2().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/pipe.h